Customize tab content height in Vue Tab component

25 May 202410 minutes to read

You can change the Tab content height by using the heightAdjustMode property. By default, the Tab content heightAdjustMode property is set to Content value.

  • None: Each tab content height is set based on the Tab height. This value is used only the tab component having the height property.
  • Auto: Each tab content height will take the maximum height of all other tabs content.
  • Content: Each tab content height is set based on their own content.
  • Fill: Each tab content height is set based on the full height of Tabs parent element.
<template>
  <div id="app">
    <div style='padding-top: 25px'>
      <div class='row'>
        <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <label>Height Adjust Mode</label>
        </div>
        <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <div class='custom_drop'><ejs-dropdownlist id='contentHeight' ref="contentHeight" :change='onChange' index='1'
              :dataSource='heightData'></ejs-dropdownlist></div>
        </div>
      </div>
      <div style='padding-top: 25px'>
        <ejs-tab id='element' ref="element">
          <e-tabitems>
            <e-tabitem :header='headerText0' :content="content0"></e-tabitem>
            <e-tabitem :header='headerText1' :content="content1"></e-tabitem>
            <e-tabitem :header='headerText2' :content="content2"></e-tabitem>
          </e-tabitems>
        </ejs-tab>
      </div>
    </div>
  </div>
</template>
<script setup>

import { TabComponent as EjsTab, TabItemsDirective as ETabitems, TabItemDirective as ETabitem } from '@syncfusion/ej2-vue-navigations';
import { DropDownListComponent as EjsDropdownlist } from "@syncfusion/ej2-vue-dropdowns";
import { ref } from 'vue';

const contentHeight = ref(null);
const element = ref(null);

const headerText0 = { text: 'ASP.NET' };
const headerText1 = { text: 'ASP.NET MVC' };
const headerText2 = { text: 'JavaScript' };

const content0 = 'ASP.NET is an open-source server-side web application framework designed for web development to produce ' +
  'dynamic web pages. It was developed by Microsoft to allow programmers to build dynamic web sites, web applications ' +
  'and web services. It was first released in January 2002 with version 1.0 of the .NET Framework, and is the successor ' +
  'to Microsoft\'s Active Server Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing ' +
  'programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension framework allows ' +
  'ASP.NET components to process SOAP messages.';

const content1 = 'The ASP.NET MVC is a web application framework developed by Microsoft, which implements the ' +
  'model–view–controller (MVC) pattern. It is open-source software, apart from the ASP.NET Web Forms component which is ' +
  'proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET Web API, and ASP.NET Web Pages (a platform using ' +
  'only Razor pages) will merge into a unified MVC 6.The project is called ASP.NET vNext.';

const content2 = 'JavaScript (JS) is an interpreted computer programming language. It was originally implemented as ' +
  'part of web browsers so that client-side scripts could interact with the user, control the browser, communicate ' +
  'asynchronously, and alter the document content that was displayed.[5] More recently, however, it has become common in ' +
  'both game development and the creation of desktop applications.';

const heightData = ['None', 'Content', 'Fill', 'Auto'];

const onChange = () => {
  var tabObj = element.value.ej2Instances;
  var ddlobj = contentHeight.value.ej2Instances;
  tabObj.heightAdjustMode = ddlobj.value;
}

</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
</style>
<template>
  <div id="app">
    <div style='padding-top: 25px'>
      <div class='row'>
        <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <label>Height Adjust Mode</label>
        </div>
        <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
          <div class='custom_drop'><ejs-dropdownlist id='contentHeight' ref="contentHeight" :change='onChange' index='1'
              :dataSource='heightData'></ejs-dropdownlist></div>
        </div>
      </div>
      <div style='padding-top: 25px'>
        <ejs-tab id='element' ref="element">
          <e-tabitems>
            <e-tabitem :header='headerText0' :content="content0"></e-tabitem>
            <e-tabitem :header='headerText1' :content="content1"></e-tabitem>
            <e-tabitem :header='headerText2' :content="content2"></e-tabitem>
          </e-tabitems>
        </ejs-tab>
      </div>
    </div>
  </div>
</template>
<script>

import { TabComponent, TabItemDirective, TabItemsDirective } from '@syncfusion/ej2-vue-navigations';
import { DropDownListComponent } from "@syncfusion/ej2-vue-dropdowns";

export default {
  name: "App",
  components: {
    "ejs-dropdownlist": DropDownListComponent,
    "ejs-tab": TabComponent,
    "e-tabitems": TabItemsDirective,
    "e-tabitem": TabItemDirective
  },
  data: function () {
    return {
      headerText0: { text: 'ASP.NET' },
      headerText1: { text: 'ASP.NET MVC' },
      headerText2: { text: 'JavaScript' },

      content0: 'ASP.NET is an open-source server-side web application framework designed for web development to produce ' +
        'dynamic web pages. It was developed by Microsoft to allow programmers to build dynamic web sites, web applications ' +
        'and web services. It was first released in January 2002 with version 1.0 of the .NET Framework, and is the successor ' +
        'to Microsoft\'s Active Server Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing ' +
        'programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension framework allows ' +
        'ASP.NET components to process SOAP messages.',

      content1: 'The ASP.NET MVC is a web application framework developed by Microsoft, which implements the ' +
        'model–view–controller (MVC) pattern. It is open-source software, apart from the ASP.NET Web Forms component which is ' +
        'proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET Web API, and ASP.NET Web Pages (a platform using ' +
        'only Razor pages) will merge into a unified MVC 6.The project is called ASP.NET vNext.',

      content2: 'JavaScript (JS) is an interpreted computer programming language. It was originally implemented as ' +
        'part of web browsers so that client-side scripts could interact with the user, control the browser, communicate ' +
        'asynchronously, and alter the document content that was displayed.[5] More recently, however, it has become common in ' +
        'both game development and the creation of desktop applications.',
      heightData: ['None', 'Content', 'Fill', 'Auto']
    };
  },
  methods: {
    onChange: function () {
      var tabObj = this.$refs.element.ej2Instances;
      var ddlobj = this.$refs.contentHeight.ej2Instances;
      tabObj.heightAdjustMode = ddlobj.value;
    }
  }
}
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
</style>

Customize tab content height in Angular Tab component

19 Sep 202512 minutes to read

The Tab component provides flexible height management through the heightAdjustMode property, which controls how tab content areas calculate and display their heights. By default, the heightAdjustMode property is set to Content.

Height adjustment modes

The Tab component offers four distinct height calculation strategies to accommodate different layout requirements:

  • None: Each tab content height is set based on the Tab height. This value is used only the tab component having the height property.
  • Auto: Each tab content height will take the maximum height of all other tabs content.
  • Content: Each tab content height is set based on their own content.
  • Fill: Each tab content height is set based on the full height of Tabs parent element.
<div id="wrapper" style='margin-top: 20px'>
    <div id='content' style="margin: 0px auto">
        <div id="default" style="padding-top:20px;width:250px">
            <div class='row'>
                <div>
                    <label>Height Adjust Mode</label>
                </div><br />
                <div>
                    <ejs-dropdownlist id='contentHeight' #contentHeight [dataSource]='heightData'
                        (change)='onChange($event)' [value]='value' [fields]='fields' [popupHeight]='height'>
                    </ejs-dropdownlist>
                </div>
            </div>
        </div>
        <br />
        <div>
            <ejs-tab id="element" #element height="400px">
                <e-tabitems>
                    <e-tabitem [header]='headerText[0]'>
                        <ng-template #content>
                            Twitter is an online social networking service that enables users to send and read short
                            140-character messages called "tweets".
                            Registered users can read and post tweets, but those who are unregistered can only read
                            them. Users access Twitter
                            through the website interface, SMS or mobile device app Twitter Inc. is based in San
                            Francisco and has more than 25
                            offices around the world. Twitter was created in March 2006 by Jack Dorsey, Evan Williams,
                            Biz Stone, and Noah Glass
                            and launched in July 2006. The service rapidly gained worldwide popularity, with more than
                            100 million users posting
                            340 million tweets a day in 2012.The service also handled 1.6 billion search queries per
                            day.
                        </ng-template>
                    </e-tabitem>
                    <e-tabitem [header]='headerText[1]'>
                        <ng-template #content>
                            Facebook is an online social networking service headquartered in Menlo Park, California. Its
                            website was launched on February
                            4, 2004, by Mark Zuckerberg with his Harvard College roommates and fellow students Eduardo
                            Saverin, Andrew McCollum,
                            Dustin Moskovitz and Chris Hughes.The founders had initially limited the website\'\s
                            membership to Harvard students,
                            but later expanded it to colleges in the Boston area, the Ivy League, and Stanford
                            University. It gradually added support
                            for students at various other universities and later to high-school students.
                        </ng-template>
                    </e-tabitem>
                    <e-tabitem [header]='headerText[2]'>
                        <ng-template #content>
                            WhatsApp Messenger is a proprietary cross-platform instant messaging client for smartphones
                            that operates under a subscription
                            business model. It uses the Internet to send text messages, images, video, user location and
                            audio media messages to
                            other users using standard cellular mobile numbers. As of February 2016, WhatsApp had a user
                            base of up to one billion,[10]
                            making it the most globally popular messaging application. WhatsApp Inc., based in Mountain
                            View, California, was acquired
                            by Facebook Inc. on February 19, 2014, for approximately US$19.3 billion.
                        </ng-template>
                    </e-tabitem>
                </e-tabitems>
            </ejs-tab>
        </div>
    </div>
</div>
import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { FormsModule } from '@angular/forms'
import { TabComponent, TabItemsDirective, TabItemDirective } from '@syncfusion/ej2-angular-navigations'
import { DropDownListComponent } from '@syncfusion/ej2-angular-dropdowns'

import { Component, ViewChild } from '@angular/core';
import { DropDownListComponent, ChangeEventArgs } from '@syncfusion/ej2-angular-dropdowns';
import { HeightStyles, TabComponent } from '@syncfusion/ej2-angular-navigations';

@Component({
imports: [
        FormsModule
    ],


standalone: true,
    selector: 'app-container',
    // specifies the template url path
    templateUrl: 'app/app.component.html'
})
export class AppComponent {
    @ViewChild('element') tabObj?: TabComponent;
    @ViewChild('contentHeight') listObj?: DropDownListComponent;
    public heightData: Object[] = [
        { mode: 'None', text: 'None' },
        { mode: 'Content', text: 'Content' },
        { mode: 'Fill', text: 'Fill' },
        { mode: 'Auto', text: 'Auto' }
    ];
    public fields: Object = { text: 'text', value: 'mode' };
    public height: string = '220px';
    public value: string = 'Content';
    public onChange(args: ChangeEventArgs): void {
        (this.tabObj as TabComponent).heightAdjustMode = (this.listObj as DropDownListComponent).value as string as HeightStyles;
    }
    public headerText: Object = [{ 'text': 'Twitter' }, { 'text': 'Facebook' }, { 'text': 'WhatsApp' }];
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Customize tab content height in React Tab component

29 Aug 202314 minutes to read

You can change the Tab content height by using the heightAdjustMode property. By default, the Tab content heightAdjustMode property is set to Content value.

  • None: Each tab content height is set based on the Tab height. This value is used only the tab component having the height property.
  • Auto: Each tab content height will take the maximum height of all other tabs content.
  • Content: Each tab content height is set based on their own content.
  • Fill: Each tab content height is set based on the full height of Tabs parent element.
import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { TabComponent, TabItemDirective, TabItemsDirective } from '@syncfusion/ej2-react-navigations';
import { useRef } from 'react';
import * as React from "react";
import * as ReactDOM from 'react-dom';

const ReactApp = () => {
  let headerText = [{ text: "Twitter" }, { text: "Facebook" }, { text: "WhatsApp" }];
  const tabInstance = useRef(null);
  const dropInstance = useRef(null);
  let fields = { text: 'text', value: 'value' };
  let heightData = [
    { 'value': 'None', 'text': 'None' }, { 'value': 'Content', 'text': 'Content' },
    { 'value': 'Fill', 'text': 'Fill' }, { 'value': 'Auto', 'text': 'Auto' }
  ];
  const value = 'Content';

  const twitterContent = () => {
    return <div>
      Twitter is an online social networking service that enables users to send and read short 140-character messages called "tweets". Registered users can read and post tweets, but those who are unregistered can only read them. Users access Twitter through the website interface, SMS or mobile device app Twitter Inc. is based in San Francisco and has more than 25 offices around the world. Twitter was created in March 2006 by Jack Dorsey, Evan Williams, Biz Stone, and Noah Glass and launched in July 2006. The service rapidly gained worldwide popularity, with more than 100 million users posting 340 million tweets a day in 2012.The service also handled 1.6 billion search queries per day.
    </div>;
  }
  const faceBookcontent = () => {
    return <div>
      Facebook is an online social networking service headquartered in Menlo Park, California. Its website was launched on February 4, 2004, by Mark Zuckerberg with his Harvard College roommates and fellow students Eduardo Saverin, Andrew McCollum, Dustin Moskovitz and Chris Hughes.The founders had initially limited the website membership to Harvard students, but later expanded it to colleges in the Boston area, the Ivy League, and Stanford University. It gradually added support for students at various other universities and later to high-school students.
    </div>;
  }
  const whatsAppcontent = () => {
    return <div>
      WhatsApp Messenger is a proprietary cross-platform instant messaging client for smartphones that operates under a subscription business model. It uses the Internet to send text messages, images, video, user location and audio media messages to other users using standard cellular mobile numbers. As of February 2016, WhatsApp had a user base of up to one billion,[10] making it the most globally popular messaging application. WhatsApp Inc., based in Mountain View, California, was acquired by Facebook Inc. on February 19, 2014, for approximately US$19.3 billion.
    </div>;
  }
  const onChange = () => {
    tabInstance.current.heightAdjustMode = dropInstance.current.value;
  }

  return (
    <div>
      <DropDownListComponent ref={dropInstance} id='contentHeight' dataSource={heightData} fields={fields} value={value} width={'150'} change={onChange} />
      <br /><br />
      <TabComponent ref={tabInstance} height="400px">
        <TabItemsDirective>
          <TabItemDirective header={headerText[0]} content={twitterContent} />
          <TabItemDirective header={headerText[1]} content={faceBookcontent} />
          <TabItemDirective header={headerText[2]} content={whatsAppcontent} />
        </TabItemsDirective>
      </TabComponent>
    </div>
  );
}
const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<ReactApp />);
import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { HeightStyles, TabComponent, TabItemDirective, TabItemsDirective } from '@syncfusion/ej2-react-navigations';
import { useRef } from 'react';
import * as React from "react";
import * as ReactDOM from 'react-dom';

const ReactApp = () => {
  let headerText: any = [{ text: "Twitter" }, { text: "Facebook" }, { text: "WhatsApp" }];
  const tabInstance = useRef<TabComponent>(null);
  const dropInstance = useRef<DropDownListComponent>(null);
  let fields: object = { text: 'text', value: 'value' };
  let heightData: any = [
    { 'value': 'None', 'text': 'None' }, { 'value': 'Content', 'text': 'Content' },
    { 'value': 'Fill', 'text': 'Fill' }, { 'value': 'Auto', 'text': 'Auto' }
  ];
  const value: string = 'Content';

  const twitterContent = () => {
    return <div>
      Twitter is an online social networking service that enables users to send and read short 140-character messages called "tweets". Registered users can read and post tweets, but those who are unregistered can only read them. Users access Twitter through the website interface, SMS or mobile device app Twitter Inc. is based in San Francisco and has more than 25 offices around the world. Twitter was created in March 2006 by Jack Dorsey, Evan Williams, Biz Stone, and Noah Glass and launched in July 2006. The service rapidly gained worldwide popularity, with more than 100 million users posting 340 million tweets a day in 2012.The service also handled 1.6 billion search queries per day.
    </div>;
  }
  const faceBookcontent = () => {
    return <div>
      Facebook is an online social networking service headquartered in Menlo Park, California. Its website was launched on February 4, 2004, by Mark Zuckerberg with his Harvard College roommates and fellow students Eduardo Saverin, Andrew McCollum, Dustin Moskovitz and Chris Hughes.The founders had initially limited the website membership to Harvard students, but later expanded it to colleges in the Boston area, the Ivy League, and Stanford University. It gradually added support for students at various other universities and later to high-school students.
    </div>;
  }
  const whatsAppcontent = () => {
    return <div>
      WhatsApp Messenger is a proprietary cross-platform instant messaging client for smartphones that operates under a subscription business model. It uses the Internet to send text messages, images, video, user location and audio media messages to other users using standard cellular mobile numbers. As of February 2016, WhatsApp had a user base of up to one billion,[10] making it the most globally popular messaging application. WhatsApp Inc., based in Mountain View, California, was acquired by Facebook Inc. on February 19, 2014, for approximately US$19.3 billion.
    </div>;
  }
  const onChange = () => {
    tabInstance.current.heightAdjustMode = dropInstance.current.value as HeightStyles;
  }

  return (
    <div>
      <DropDownListComponent ref={dropInstance} id='contentHeight' dataSource={heightData} fields={fields} value={value} width={'150'} change={onChange} />
      <br /><br />
      <TabComponent ref={tabInstance} height="400px">
        <TabItemsDirective>
          <TabItemDirective header={headerText[0]} content={twitterContent} />
          <TabItemDirective header={headerText[1]} content={faceBookcontent} />
          <TabItemDirective header={headerText[2]} content={whatsAppcontent} />
        </TabItemsDirective>
      </TabComponent>
    </div>
  );
}
const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<ReactApp />);
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Tab</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="index.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/31.2.12/material.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id='container'>
        <div id='element'>
                <div id='loader'>Loading</div>
        </div>
    </div>
</body>

</html>